<?php
session_start();
require("../../database/dbConection.php");
$idUsuarioLogado = $_SESSION['idUsuarioLogado'];

$opcaoAtualizacao = $_POST['opcaoAtualizacao'];

$dataRegistroComunicacao = date("Y-m-d H:i");

switch($opcaoAtualizacao){
  case "status-comunicacao":
    $idSolicitacao          = $_POST['idSolicitacao'];
    $valorStatus            = $_POST['valorStatus'];
    $observacoesComunicacao = $_POST['observacoesComunicacao'];
    $idStatusSolicitacao  = $valorStatus=="Cancelar" ? 4 : 3;
    $stmAtualizaStatus  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET status_comunicacao='$valorStatus', idusuario_comunicacao='$idUsuarioLogado', datahora_registrocomunicacao='$dataRegistroComunicacao', id_statussolicitacao='$idStatusSolicitacao', justificativa_solicitacaocancelamento='$observacoesComunicacao'
    WHERE id_solicitacao='$idSolicitacao'");
    $stmAtualizaStatus  -> execute();
  break;

  case "cancelar-comunicacao":
    $idPaciente = $_POST['idPaciente'];
    $stmCancelarComunicacao1  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET status_agendamento='Agendado', idusuario_comunicacao=null, em_comunicacao='N' WHERE id_paciente='$idPaciente' AND em_comunicacao='S'");
    $stmCancelarComunicacao1  -> execute();
    $stmCancelarComunicacao2  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET cancelar_comunicacao='N'  WHERE id_paciente='$idPaciente' AND em_comunicacao='S'");
    $stmCancelarComunicacao2  -> execute();
  break;
  
  case "cancelar-comunicacao-telefone":
    $idPaciente = $_POST['idPaciente'];
    $stmCancelarComunicacao1  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET idusuario_comunicacao=null, encaminhado_ligacao='S' WHERE id_paciente='$idPaciente' AND encaminhado_ligacao='N' AND status_agendamento='Agendado'");
    $stmCancelarComunicacao1  -> execute();
    $stmCancelarComunicacao2  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET cancelar_comunicacao='N'  WHERE id_paciente='$idPaciente' AND encaminhado_ligacao='S'");
    $stmCancelarComunicacao2  -> execute();
  break;

  case "confirmar-comunicacao-whatsapp":
    $idPaciente             = $_POST['idPaciente'];
    $meioComunicacao        = $_POST['meioComunicacao'];
    $observacoesComunicacao = mb_strtoupper($_POST['observacoesComunicacao']);
    $stmConfirmaComunicacao = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET meio_comunicacao='$meioComunicacao', datahora_registrocomunicacao='$dataRegistroComunicacao', observacoes_comunicacao='$observacoesComunicacao', em_comunicacao='N' WHERE id_paciente='$idPaciente' AND em_comunicacao='S'");
    $stmConfirmaComunicacao -> execute();
  break;

  case "confirmar-comunicacao-ligacao":
    $idPaciente             = $_POST['idPaciente'];
    $meioComunicacao        = $_POST['meioComunicacao'];
    $observacoesComunicacao = mb_strtoupper($_POST['observacoesComunicacao']);
    $stmConfirmaComunicacao =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET meio_comunicacao='$meioComunicacao', datahora_registrocomunicacao='$dataRegistroComunicacao', observacoes_comunicacao='$observacoesComunicacao', encaminhado_ligacao='N' WHERE id_paciente='$idPaciente' AND encaminhado_ligacao='S'");
    $stmConfirmaComunicacao -> execute();
  break;  

  case "status-entrega":
    $idAgendamento      = $_POST['idAgendamento'];
    $valorStatus        = $_POST['valorStatus'];
    $tokenEntrega       = $_POST['tokenEntrega'];
    $nomePortador       = $_POST['nomePortador'];
    $rgPortador         = $_POST['rgPortador'];
    $telefonePortador   = $_POST['telefonePortador'];
    $stmAtualizaStatus  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET status_agendamento='$valorStatus', id_usuario_entregou='$idUsuarioLogado', token_entrega='$tokenEntrega', data_entrega='$dataRegistroComunicacao', nome_portador='$nomePortador', rg_portador='$rgPortador', telefone_portador='$telefonePortador' WHERE id_agendamento='$idAgendamento'");
    $stmAtualizaStatus  -> execute();
  break;

  case "status-agendamento-mutirao":
    $idSolicitacao      = $_POST['idSolicitacao'];
    $valorStatus        = $_POST['valorStatus'];
    $stmAtualizaStatus  =  $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET id_statussolicitacao='$valorStatus' WHERE id_solicitacao='$idSolicitacao'");
    $stmAtualizaStatus  -> execute();
  break;  

}


?>